﻿@model IEnumerable<BusinessObject.User>

@{
    ViewBag.Title = "Index";
}
<script src="http://code.jquery.com/jquery-1.10.2.min.js" type="text/javascript"></script>

<div style="font-family:Arial">

    <h2>@BusinessObject.Class1.getTranslated("ListOfUsers")</h2>

    <p>
        @Html.ActionLink(BusinessObject.Class1.getTranslated("Create"), "Create")
    </p>
    <table border="1" class="table">
        <tr class="trHead">
            <th>
                @BusinessObject.Class1.getTranslated("Username")
                @*@Html.DisplayNameFor(model => model.Username)*@
            </th>
            @*<th>
                @Html.DisplayNameFor(model => model.Password)
            </th>*@
            <th>
                @BusinessObject.Class1.getTranslated("Email")
                @*@Html.DisplayNameFor(model => model.Email)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("PasswordQuestion")
                @*@Html.DisplayNameFor(model => model.PasswordQuestion)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("PasswordAnswer")

                @*@Html.DisplayNameFor(model => model.PasswordAnswer)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("Role")

                @*@Html.DisplayNameFor(model => model.RoleId)*@
            </th>
            <th>
                @BusinessObject.Class1.getTranslated("Language")

                @*@Html.DisplayNameFor(model => model.Language)*@
            </th>
            <th> @BusinessObject.Class1.getTranslated("Actions")</th>
        </tr>

        @foreach (var item in Model)
        {
            using (Html.BeginForm("Delete", "User", new { id = item.UserId }))
            {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Username)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.Password)
            </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PasswordQuestion)
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.PasswordAnswer)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.RoleId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Language)
            </td>
            <td>
                @Html.ActionLink(@BusinessObject.Class1.getTranslated("Edit"), "Edit", new { id = item.UserId }, new { @class = "editBtn" }) 
                <input type="submit" class="deleteBtn" value=@BusinessObject.Class1.getTranslated("Delete") onclick="return confirm('Are u sure you want to delete record with id = @item.UserId ?')">
            </td>
        </tr>
            }
        }

    </table>

    <script>
        $(document).ready(function () {
            $("tr:odd").css({
                "background-color": "#5e7c76",
                "color": "#fff"
            });
        });
    </script>
</div>